mozjs140 (140.3.0-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 08:55:35 -0400

mozjs140 (140.2.0-1) unstable; urgency=medium

  * New upstream release
  * Remove Bug-1973993-Install-ProfilingCategoryList.h patch:
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Aug 2025 13:23:56 -0400

mozjs140 (140.1.0-4) unstable; urgency=medium

  * Opt into Salsa CI but disable blhc & reprotest checks for now
  * Add more tests to Expect-some-floating-point-tests-to-fail-on-i386.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Aug 2025 15:24:47 -0400

mozjs140 (140.1.0-3) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Drop duplicated patch

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:23:19 -0400

mozjs140 (140.1.0-2) experimental; urgency=medium

  * d/p: Add patches suggested/required for building newer GJS
  * debian/libmozjs-140-0.docs: Add Apache NOTICE files to docs
  * debian/source/lintian-overrides: Drop unused rule
  * debian/copyright: Drop superfluous file paths

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 03 Aug 2025 18:13:21 +0200

mozjs140 (140.1.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch from Chimera Linux to fix Unsupported OS error (Closes: #1108794)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Jul 2025 15:28:01 +0200

mozjs140 (140.0-2) unstable; urgency=medium

  * Release to unstable
  * Bump Standards Verson to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Jul 2025 12:19:37 -0400

mozjs140 (140.0-1) experimental; urgency=medium

  * New upstream series (Closes: #1108229)
  * Copy patch from Debian's firefox to work around build issue with -Wno-format
  * Disable an ARM patch that may not be needed any more
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Jun 2025 13:22:36 -0400

mozjs128 (128.11.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-5263: Error handling for script execution was incorrectly isolated
      from web content
  * Update debian/upstream/signing-key.asc per upstream rotation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:34:04 -0400

mozjs128 (128.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Apr 2025 08:13:03 -0400

mozjs128 (128.9.0-1) unstable; urgency=high

  * New upstream release (LP: #2105631)
    - CVE-2025-3028 Use-after-free triggered by XSLTProcessor
    - CVE-2025-3029 URL bar spoofing via non-BMP Unicode characters
    - CVE-2025-3030 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 12:49:25 -0400

mozjs128 (128.8.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-1933 JIT corruption of WASM i386 return value on 64-bit CPUs
    - CVE-2025-1934 Unexpected GC during RegExp bailout processing
    - CVE-2025-1936 Adding %00 and a fake extension changed interpretation
    - CVE-2025-1937 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 13:57:32 -0500

mozjs128 (128.7.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2025-11704 Potential double-free in PKCS#7 decryption handling

  [ Simon McVittie ]
  * Build-Depend on rustc 1.76.0, as per python/mozboot/mozboot/util.py
    (Closes: #1092630)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 18:31:04 -0500

mozjs128 (128.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-0240: Compartment mismatch when parsing JavaScript JSON module
    - CVE-2025-0241: Memory corruption when using JavaScript Text Segmentation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 08:29:17 -0900

mozjs128 (128.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 15:33:47 -0500

mozjs128 (128.4.0-4) unstable; urgency=medium

  * Team upload
  * d/p/Bug-1926140-Replace-pipes-imports-r-jmaher.patch,
    d/p/Bug-1925198-Move-telnetlib-import-to-BaseEmulator-r-jmahe.patch:
    Add patches from mozilla-central partially fixing build with
    python3.13 as default (Helps: #1084616)
  * d/control, d/rules, d/clean: Use python3-legacy-cgi for tests,
    replacing the standard library module that is no longer included
    in python3.13.
    Because of the Mozilla build system's use of virtualenv, python3.13
    doesn't seem to pick it up from /usr/lib/python3/dist-packages,
    so create a debian/site-packages/ with cgi.py and put that in the
    PYTHONPATH. (Closes: #1084616)

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2024 16:59:31 +0000

mozjs128 (128.4.0-3) unstable; urgency=medium

  * Team upload
  * Install js128, js128-config to non-PATH locations.
    They aren't multi-arch co-installable if installed to /usr/bin,
    and the only package that build-depends on libmozjs-128-dev (gjs)
    doesn't actually use them anyway.
  * Install headers to a multiarch-friendly location.
    The headers contain facts about the host system (in js-config.h)
    so are not architecture-independent.
  * Mark libmozjs-128-dev as Multi-Arch: same.
    This will allow libgjs-dev to be usefully Multi-Arch: same, too.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 11:25:43 +0000

mozjs128 (128.4.0-2) unstable; urgency=medium

  * Team upload
  * d/p/js-src-tests-Avoid-using-legacy-MST-time-zone-name.patch:
    Add proposed patch to fix a test failure without tzdata-legacy
    installed (Closes: #1086298)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 10:01:18 +0000

mozjs128 (128.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 29 Oct 2024 17:22:22 +0100

mozjs128 (128.3.0-1) unstable; urgency=high

  * New upstream release (LP: #2083344)
    - CVE-2024-9396 Potential memory corruption when cloning certain objects
    - CVE-2024-9400 Potential memory corruption during JIT compilation
    - CVE-2024-9402 Memory safety bugs
  * Remove libatomic patch applied in new release
  * Revert "Add -latomic to LDFLAGS to try to fix armel build"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 11:46:49 -0400

mozjs128 (128.2.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2024-8381 Type confusion when looking up property names
    - CVE-2024-8382 Internal event interfaces exposed to web content
    - CVE-2024-8384 Garbage collection could mis-color cross-compartment objects
    - CVE-2024-8385 WASM type confusion involving ArrayTypes
    - CVE-2024-8387 Memory safety bugs

  [ Simon McVittie ]
  * Add patch to fix detection of architectures that require -latomic
    (Closes: #1079077)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Sep 2024 09:51:21 -0400

mozjs128 (128.1.0-3) unstable; urgency=medium

  * Add -latomic to LDFLAGS to try to fix armel build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Aug 2024 17:02:03 -0400

mozjs128 (128.1.0-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 22:38:35 -0400

mozjs128 (128.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 12 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 07:04:31 -0400

mozjs128 (128.0-2) unstable; urgency=medium

  * New upstream series (Closes: #1076037)
  * Add Build-Depends: cbindgen
  * Refresh patches
  * Drop 5 patches that are no longer needed
  * Cherry-pick 12 patches from future 128.1.0 to fix various issues
  * debian/rules: Set MOZBUILD_STATE_PATH
  * debian/test.sh: Remove reference to no-longer-provided run-mozilla.sh

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 19:38:33 -0400

mozjs115 (115.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 15:35:34 -0400

mozjs115 (115.12.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2024-5688 Use-after-free in JavaScript object transplant
    - CVE-2024-5700 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Jun 2024 14:34:32 -0400

mozjs115 (115.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 18:32:36 +0200

mozjs115 (115.10.0-1) unstable; urgency=high

  * New upstream release (LP: #2061860)
    - CVE-2024-3852: GetBoundName in the JIT returned the wrong object
    - CVE-2024-3854: Out-of-bounds-read after mis-optimized switch statement
    - CVE-2024-3857: Incorrect JITting of arguments led to use-after-free
      during garbage collection

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 07:52:09 -0400

mozjs115 (115.9.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2024-2607: JIT code failed to save return registers on Armv7-A

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 11:47:42 -0400

mozjs115 (115.8.0-3) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.22.5) (Closes: #1065286)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 18:02:34 -0500

mozjs115 (115.8.0-2) unstable; urgency=medium

  * Release to unstable (Closes: #1046520)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:59:28 -0500

mozjs115 (115.8.0-2~exp1) experimental; urgency=medium

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:39:30 -0500

mozjs115 (115.8.0-1) unstable; urgency=medium

  * New upstream release
    - CVE-2024-1553: Memory safety bug
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:36:52 -0500

mozjs115 (115.7.0-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/python3.12-six.patch:
    Rediff patch so quilt, dpkg-source and gbp pq agree on its effect

  [ Amin Bandali ]
  * Cherry-pick more upstream patches to fix build with Python 3.12
    - debian/patches/python3.12-bug1831512.patch
    - debian/patches/python3.12-bug1857516.patch
    - debian/patches/python3.12-bug1860051.patch
    - debian/patches/python3.12-bug1874280.patch
    - debian/patches/python3.12-bug1851580.patch
    - debian/patches/python3.12-bug1866829.patch

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 16 Feb 2024 11:28:22 -0500

mozjs115 (115.7.0-3) unstable; urgency=medium

  * Team upload
  * d/p/Export-js-detail-CanonicalizedNaNBits-on-architectures-th.patch:
    Add a patch to fix linking of gjs (>= 1.78.3) on mips64el
    (Closes: #1063446)
  * d/tests/dev: Add a superficial autopkgtest.
    In addition to exercising basic compilation and initialization,
    this verifies that #1063446 has been fixed.

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Feb 2024 14:40:52 +0000

mozjs115 (115.7.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with Python 3.12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 08:51:19 -0500

mozjs115 (115.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 08:36:55 -0500

mozjs115 (115.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2023-6864: Memory safety bug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 15:48:13 -0500

mozjs115 (115.5.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and gnome-pkg-tools (no translations here)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Nov 2023 12:43:37 -0500

mozjs115 (115.4.0-2) unstable; urgency=high

  * Add patch to fix the non-JIT armel build
  * Adjust patch to update expected armel failures for 115

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Oct 2023 19:32:07 -0400

mozjs115 (115.4.0-1) unstable; urgency=medium

  * New upstream release
    - CVE-2023-5728: Improper object tracking during GC could lead to a crash

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Oct 2023 15:44:30 -0400

mozjs115 (115.3.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Sep 2023 12:34:26 -0400

mozjs115 (115.1.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/autogen.sh: Do not run autoreconf on old-configure
  * debian/control: Remove build dependency on autoconf2.13
  * debian/gbp-repack-mozjs-source.sh: Do not export AUTOCONF variable
  * debian/control: Update VCS references to 115 branch
  * debian/rules: Remove commented mozjs configure removal
  * debian/libmozjs-115.0.docs: Install README and remove removed files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Aug 2023 19:30:18 +0200

mozjs102 (102.15.1-1) unstable; urgency=medium

  * New upstream release
    - This is the final upstream release in the 102 series.
      It's recommended to switch to mozjs115 instead.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 16:30:07 -0400

mozjs102 (102.15.0-1) unstable; urgency=medium

  * New upstream release
    - This is the final upstream release in the 102 series.
      It's recommended to switch to mozjs115 instead.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 16:58:48 -0400

mozjs102 (102.14.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2023-4046: Incorrect value used during WASM compilation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Aug 2023 11:29:17 -0400

mozjs102 (102.13.0-1) unstable; urgency=high

  * New upstream release (LP: #2026197)
    - CVE-2023-37202: Potential use-after-free from compartment mismatch
      in SpiderMonkey
    - CVE-2023-37211: Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Jul 2023 09:05:35 -0400

mozjs102 (102.12.0-1) unstable; urgency=high

  * New upstream release (LP: #2023047) (Closes: #1037158)
    - CVE-2023-34416: Memory safety bugs
  * Update debian/upstream/signing-key.asc per upstream rotation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jun 2023 11:20:22 -0400

mozjs102 (102.11.0-1) unstable; urgency=high

  * New upstream release (LP: #2018905)
    - CVE-2023-32205: Browser prompts could have been obscured by popups
    - CVE-2023-32206: Crash in RLBox Expat driver
    - CVE-2023-32207: Potential permissions request bypass via clickjacking
    - CVE-2023-32211: Content process crash due to invalid wasm code
    - CVE-2023-32212: Potential spoof due to obscured address bar
    - CVE-2023-32213: Potential memory corruption in FileReader::DoReadData()
    - CVE-2023-32214: Potential DoS via exposed protocol handlers
    - CVE-2023-32215: Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 May 2023 11:59:12 -0400

mozjs102 (102.10.0-1) unstable; urgency=high

  * New upstream release (LP: #2015880)
    - CVE-2023-29536: Invalid free from JavaScript code
    - CVE-2023-29548: Incorrect optimization result on ARM64
    - CVE-2023-29550: Memory safety bugs
    - CVE-2023-29535: Potential Memory Corruption following Garbage Collector
      compaction

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Apr 2023 19:48:42 -0400

mozjs102 (102.9.0-1) unstable; urgency=high

  [ Jeremy Bicha ]
  * New upstream release
    - CVE-2023-25751: Incorrect code generation during JIT compilation

  [ John Paul Adrian Glaubitz ]
  * Disable large-arraybuffers/base.js on all big-endian targets
    (Closes: #1020700)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Mar 2023 11:03:53 -0400

mozjs102 (102.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Python 3.11 patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 08:57:21 -0500

mozjs102 (102.7.0-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to fix build with Python 3.11 (Closes: #1028716)
  * Re-export upstream signing key without extra signatures
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2023 15:57:16 -0500

mozjs102 (102.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 17:16:33 -0500

mozjs102 (102.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Nov 2022 12:28:41 -0500

mozjs102 (102.4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop ARMv7 atomic operations patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 14:03:07 -0400

mozjs102 (102.3.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/p/jit-Only-use-ARMv7-atomic-operations-on-ARMv7-or-higher.patch:
  * Add patch to avoid using ARMv7 atomic operations on armel
  * d/p/js-Enable-JIT-by-default-on-ARMv7-or-up-but-not-ARMv6-or-.patch:
    Attempt to solve FTBFS on armel by disabling JIT
  * Update Lintian overrides
  * d/copyright: Remove patterns that no longer match anything
  * Standards-Version: 4.6.1 (no changes required)

  [ Adrian Bunk ]
  * d/p/js-arm-i386-no-simd.patch:
    Avoid SIMD (SSE/NEON) on 32-bit ARM and x86. It is not in the baseline
    of our i386/armel/armhf ports.
  * d/rules: Build with -Wl,--allow-multiple-definition on armel
    (works around mozjs102's equivalent of mozjs91 bug #1017979)
  * Go back to using the default gcc on armel (Closes: #1018047)
  * Exclude basic/bug-1649234-1.js test on armel (Closes: #1017961)

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Sep 2022 20:53:33 +0100

mozjs102 (102.2.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Pre-create debian/build/dist/cppunittests/ as a directory
  * d/test.sh: Explicitly mark js executable as executable
  * Build using gcc-11 on armel
    (works around mozjs102's equivalent of mozjs91 bug #1017979)
  * Add patch to avoid "impossible constraints" on armhf (Closes: #1017962)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 11:39:02 -0400

mozjs102 (102.2.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop 2 cherry-picked patches applied in new release

  [ Mike Homney ]
  * Add patch to remove workaround for old libstdc++ problem,
    which now causes problems with GCC 12 on arm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Aug 2022 11:55:51 -0400

mozjs102 (102.1.0-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 07:34:33 -0400

mozjs102 (102.1.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Cherry-pick 2 patches recommended by GNOME
  * Copy patch from Debian Firefox to allow building with older cargo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 16:21:11 -0400

mozjs91 (91.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 13:50:42 -0400

mozjs91 (91.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Jun 2022 10:07:16 -0400

mozjs91 (91.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Bug-1687417-MIPS32 patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 15:34:55 -0400

mozjs91 (91.7.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 10:45:50 -0400

mozjs91 (91.7.0-4) experimental; urgency=medium

  * Team upload
  * Build with vendored copy of ICU until the system copy is >= 69.1.
    This decouples the GNOME Shell 42 (libmutter-10.so.0) transition from
    the ICU 70 (or possibly 71) transition.
  * d/p/series:
    Don't apply patches to skip tests that failed with system ICU
    (the patches are still present, and we should reapply them when
    the system copy catches up)
  * d/p/vendored-ICU/tests-Skip-comparison-of-tzdata-version-number.patch:
    Add patch to fix test failure with vendored ICU
  * Don't rebuild ICU data from first principles every time.
    The version of its build system that went upstream in Mozilla
    generates the data file when a new version is imported, and just
    converts it from little-endian to big-endian during build if
    necessary. Doing this resolves two FTBFS issues:
    - regenerating the data file on a big-endian system breaks
      build system assumptions in this area, so not doing that fixes
      s390x and others;
    - some parts of the vendored ICU library that are needed by
      icu_sources_data.py, but not needed by a normal build, don't
      link libatomic often enough for armel, so not doing that fixes
      armel
  * Remove downstream patches for icu_sources_data.py, since we no
    longer run it.

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Mar 2022 13:04:52 +0000

mozjs91 (91.7.0-3) experimental; urgency=medium

  * Team upload
  * Re-upload to experimental, to avoid the experimental version being
    superseded by the version in unstable, which can't be built until
    after the icu 70 transition (unless we start building with the
    bundled icu).

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Mar 2022 12:12:22 +0000

mozjs91 (91.7.0-2) unstable; urgency=medium

  * Include changes from 91.6.0-2 that were accidentally dropped

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 16:30:35 -0500

mozjs91 (91.7.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 15:40:50 -0500

mozjs91 (91.6.0-2) experimental; urgency=medium

  Team upload

  [ Marco Trevisan (Treviño) ]
  * d/p/jstests-skip-fp-evaluation-order-test-in-some-archs.patch:
    Skip fp-evaluation-order.js on all ppc64 architectures

  [ Simon McVittie ]
  * d/p/Bug-1687417-MIPS32-nojit-silence-an-assert.patch:
    Add patch from Firefox 94 to fix compilation on mipsel.
    Thanks to Adrian Bunk
  * d/p/Fix-math_private.h-for-i386-FTBFS.patch:
    Add patch from firefox-esr to fix compilation on i386.
    This partially resolves FTBFS on i386, although there is also a test
    failure in test262/built-ins/Date/UTC/fp-evaluation-order.js which is
    not yet resolved.
    Thanks to Mike Hommey
  * d/p/jstests-skip-fp-evaluation-order-test-in-some-archs.patch:
    Add i386 to the architectures where fp-evaluation-order.js is skipped.
    Reduces severity of: #1006152
  * d/rules: Skip another test on i386.
    The result differs very slightly from what was expected, presumably
    because as long as our baseline doesn't guarantee SSE, we have no way
    to disable i387 extended precision.
  * d/p/tests-Accept-out-of-memory-as-close-enough-to-allocation-.patch
    Add patch to fix FTBFS on machines with relatively limited RAM
    (Closes: #1006196)

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Feb 2022 21:48:05 +0000

mozjs91 (91.6.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/patches: Refresh
  * debian/patches: Skip fp-evauation-order tests in some archs
  * debian/rules: Skip large arraybuffers tests in s390x

  [ Jeremy Bicha ]
  * Revert "debian/patches/series: Disable system-ICU related patches"
  * Revert "debian/rules: Disable building with system ICU for now"
  * Disable non262-Intl-DateTimeFormat-timeZone_version.js-Update-ver.patch
  * Revert "debian/control: Remove dependency on libicu, given it's disabled for now"

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Feb 2022 19:56:29 +0100

mozjs91 (91.5.1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (Closes: #1004739)
  * debian/patches: Refresh
  * debian/control: Bump dependency on libicu-dev 69.1
  * debian/tests.sh: Update python3 path for running JIT tests
  * debian/patches: Move system-ICU related ones to different topic
  * jstests: Skip property-escapes tests, unsupported by system ICU
  * tests: Ignore POSIX/posix mismatch in tests
  * tests: Use debian provided locale format to check formatted CN dates
  * tests: Adapt subtags test to debian ICU computed values
  * tests: Disable failing DateTimeFormat tests with system ICU
  * DateTimeFormat: Use normal parenthesis instead of ICU "├ ┤"
  * debian/patches: Also skip Date-time-zones-imported test with embedded ICU
  * non262/Intl/DateTimeFormat/timeZone_version.js: Update version to match source
  * debian/control: Remove dependency on libicu, given it's disabled for now
  * debian/patches/series: Disable system-ICU related patches

  [ Jeremy Bicha ]
  * debian/rules: Disable building with system ICU for now

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 05 Feb 2022 14:18:20 -0500

mozjs78 (78.15.0-2) unstable; urgency=medium

  * Team upload
  * d/p/Fix-armhf-build-for-GCC-11-627.patch:
    Add patch from cc-rs to fix FTBFS on armhf with gcc-11 build-time
    configuration changes (Closes: #1001314)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Dec 2021 09:51:24 +0000

mozjs78 (78.15.0-1) unstable; urgency=medium

  * New upstream release
    - Final scheduled 78 ESR release. No mozjs changes since 78.13.0
  * debian/rules: Drop overrides not needed with dh 13

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Oct 2021 07:42:32 -0400

mozjs78 (78.13.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Bug-1644600 patch: applied in new release
  * debian/upstream/signing-key.asc: Update from 91.0esr
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Aug 2021 08:46:19 -0400

mozjs78 (78.10.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump standards version (no change required)
  * debian/upstream/signing-key.asc: Use minimal key only
  * debian/gbp-repack-mozjs-source.sh: Also filter out *.dll files
  * debian/source/lintian-overrides: Ignore more warnings on shipped js files
  * debian/patches:
    - Refresh
    - Move JSStructuredCloneData destructor to private impl.
      Without this linking against mozjs won't work when structured cloning is
      used.
  * d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch:
    Ignore system tz name check. This may fail when not on GMT.
  * d/p/time-zone-path-test-Update-for-what-our-system-ICU-return.patch:
    Protect from false negative.
    We did update all the tests to use the system zoneinfo path, but we did
    not include the case were an error should be reported.
    Without doing this we may not check the point of the test (two colons)
    because the test was failing due to the wrong zoneinfo path

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 04 May 2021 19:41:03 +0200

mozjs78 (78.4.0-2) unstable; urgency=medium

  * Team upload
  * Use rustc -Clto=thin on all architectures.
    Previously dwz only failed to process the debug symbols without this
    flag on riscv64, but it seems the same problem now appears on amd64,
    and perhaps other architectures. (Closes: #978354)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Dec 2020 21:13:20 +0000

mozjs78 (78.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that came from upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Nov 2020 11:01:47 +0000

mozjs78 (78.3.0-2) unstable; urgency=medium

  * Team upload
  * d/p/Bug-1642332-Avoid-static-initializer-for-Number.NaN-r-jan.patch:
    Add patch from upstream to fix Number.NaN being incorrect on mipsen

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 19:45:45 +0100

mozjs78 (78.3.0-1) unstable; urgency=medium

  * Team upload

  [ Julien Cristau ]
  * Update configure flag --disable-ion to --disable-jit on mipsen to
    fix FTBFS.

  [ Simon McVittie ]
  * d/p/tests-Expect-some-tests-to-fail-on-armel.patch:
    Add more tests that are expected to fail on armel, due to softfloat
    not having precisely the same behaviour as hardfloat
  * New upstream release
    - d/p/Bug-1661094-Always-define-PKGCONF_REQUIRES_PRIVATE.patch:
      Drop patch, applied upstream
  * d/p/Bug-1666646-Set-CodeAlignment-to-16-for-the-none-backend..patch:
    Add patch from upstream to fix static assertion failure on mipsel,
    powerpc, and other 32-bit architectures with JIT disabled or missing

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 12:48:00 +0100

mozjs78 (78.2.0-1) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * New upstream version 78.2.0 (Closes: #968341)
    - Rename source to mozjs78
    - debian/gbp.conf: Set debian and upstream branches to match version
    - debian/watch: Update main version regex
  * debian/control:
    - Add back rust and LLVM dependencies:
      mozjs can't be compiled anymore without rust built sources, at least not
      without some huge changes that aren't suitable for a distro-patch, so
      let's add back rustc and cargo as dependencies.
      This also implies some libraries checks that are performed using llvm
      tools, so including it as well.
    - Bump dependency on debhelper 13
    - Bump build dependency to ICU 63.1-4 (tests need debian specific version,
      see bug #968609)
    - Use python3 (and drop python2.7) (Closes: #956334)
    - Update Vcs-* flags to match branches
  * debian/rules:
    - Only use python3
    - Don't set ICU_DATA_FILE as mozilla build system already handles it
    - Use GNOME suggested configure parameters
    - Factorize the code to compute just once the VERSIONED_LIBNAME
    - Export MOZJS_VERSION to be used in install files
    - Use thin LTO in rust (via RUSTFLAGS) for riscv64
    - Ensure rust follows debian compilation settings
    - Set CARGO_HOME to a builddir subdirectory
  * debian/test.sh:
    - Use python3 to run jit tests
    - Run again make check-jstests (it was wrongly removed)
    - Don't redefine HOME. This is now handled by default by debhelper 13
  * debian/*.install: Use debhelper 13 variables sobstitutions to match files
  * debian/README.source: Add doc to explain how we generate the orig file
  * debian/source/lintian-overrides:
    - Ignore missing signature on source tarball
    - Ignore errors on files with very long lines
  * debian/gbp.conf:
    - Remove filters as they are now handled by the repack script
  * debian/gbp-repack-mozjs-source.sh:
    - Only support gbp versions that repack the orig file using the content
      generated by the postunpack hook
    - Add ability to copy more files into the git archive from firefox
      sources, and include the ICU sources to allow builds without system ICU.
    - Add ability to filter files, and remove Files-Excluded from
      debian/copyright (in case gbp imports an orig file without uscan).
    - Delete empty directories in mozjs sources (as git will ignore them)
  * debian/libmozjs-78-0.docs: Include NOTICE file from 3rd party pkcs11
  * debian/patches: Refresh for mozjs78
  * d/p/Bug-1545437-Add-options-to-specify-Rust-target-name.patch:
    - Refreshed to apply in new version, we still need to set RUST_TARGET
  * d/p/Bug-1661094-Always-define-PKGCONF_REQUIRES_PRIVATE.patch:
    - Ensure we generate a pkg-config file with proper syntax
  * d/p/Remove-unused-LLVM-and-Rust-build-dependencies.patch:
    - Dropped, mozjs now strictly depends on rust (and use llvm tools to check)
  * d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch:
    - Sync expected test results as per latest system ICU
  * d/p/Add-riscv64-support.patch:
    - Ensure that we find the proper rust target in all the riscv64 variants
    - Ensure we compile with -mabi=lp64d, importing some cc-rs fixes.
  * d/p/icu_sources_data.py-Decouple-from-Mozilla-build-system.patch,
    d/p/icu_sources_data-Write-command-output-to-our-stderr.patch:
    - Add back icu sources data patches, they were wrongly removed, even if
      they aren't currently used, they might be useful if internal ICU is
      wanted for backport reasons.

  [ Dimitri John Ledkov ]
  * Disable CET protection in mozjs, until after JIT is ported upstream.

  [ Simon McVittie ]
  * d/copyright: Update
  * d/p/Skip-another-timezone-related-test-that-fails-with-system.patch:
    Add a patch to skip another timezone-related test with system ICU

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Aug 2020 21:59:39 +0100

mozjs68 (68.9.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ Simon McVittie ]
  * Remove rust and LLVM dependencies for better portability.
    Thanks to John Paul Adrian Glaubitz (Closes: #959144)
  * Refresh patch series with gbp-pq-style metadata
  * Install as libmozjs-68.so.0, not libmozjs-68.so.68.
    The SONAME is libmozjs-68.so.0, so we need to install the
    libmozjs-68.so.0 symbolic link. In native installations, ldconfig
    would create libmozjs-68.so.0 for us, but when using mozjs68 to
    cross-compile other packages, that won't happen. (Closes: #959792)
  * d/rules: Justify why we skip basic/bug653153.js on i386.
    That test seems to be failing on i386 due to extended precision in the
    i387 FPU. Upstream always builds with -mfpmath=sse and does not support
    use of i387, but that isn't currently allowed in Debian due to our i386
    baseline being 20 years old (in particular no SSE and no SSE2).
  * d/rules: Avoid parsing d/changelog
  * d/rules: Make variable names less confusing.
    Avoid the DEB_ prefix in our own variables, to avoid mixing up
    our DEB_UPSTREAM_VERSION with dpkg's DEB_VERSION_UPSTREAM.

  [ Marco Trevisan (Treviño) ]
  * debian/rules: Properly parse DEB_VERSION_UPSTREAM using shell
  * d/p/Bug-1545437-Add-options-to-specify-Rust-target-name.patch:
    - Dropped, included upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 22:16:07 +0200

mozjs68 (68.7.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ William Grant ]
  * Add riscv64 support (Closes: #932893)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Apr 2020 21:12:05 -0400

mozjs68 (68.6.0-2) unstable; urgency=medium

  * control: Use clang and LLVM 10. The default clang is not installable
    currently due to bug #954826 - work around this by explicitly picking a
    different version.

 -- Iain Lane <laney@debian.org>  Fri, 27 Mar 2020 11:04:21 +0000

mozjs68 (68.6.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release with security fixes:
    - https://www.mozilla.org/en-US/firefox/68.6.0/releasenotes/

  [ Simon McVittie ]
  * d/rules: Swap --host and --target.
    The Mozilla build system's terminology is not the same as Autoconf's,
    and previous versions of the mozjs Debian packages got the translation
    wrong.
  * d/rules: Ask moz.configure to give us more information
  * d/rules: Print complete config.log if configure fails
  * d/rules: Forcibly set appropriate values for the Rust targets,
    fixing FTBFS on armel (Closes: #954774)

 -- Iain Lane <laney@debian.org>  Thu, 26 Mar 2020 17:52:32 +0000

mozjs68 (68.5.0-2) experimental; urgency=medium

  * rules, test.sh: Allow tests to be excluded by name and exclude
    basic/bug653153.js.  Without more extensive patching, this test can't be
    skipped conditionally based on dpkg architecture. It fails on i386 because
    of a new test that was added in mozjs68 - the behaviour is the same as it
    was previously. This has been reported upstream:
    https://bugzilla.mozilla.org/show_bug.cgi?id=1621900

 -- Iain Lane <laney@debian.org>  Thu, 12 Mar 2020 12:14:53 +0000

mozjs68 (68.5.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (from firefox-68.5.0 ESR tarball)
  * debian/watch,
    debian/upstream/signing-key.asc:
    - Set URI to point to latest Firefox ESR
    - Ensure we check the tarball signature with upstream key
  * debian/gbp.conf:
    - Filter undeeded files for SpiderMonkey from firefox tarball
    - Only export to upstream/latest the mozjs tarball content as
      generated by upstream js/src/make-source-package.sh tool using
      the wrapper debian/gbp-repack-mozjs-source.sh as postunpack tool
  * debian/copyright: Dropped Files-Excluded, as we rely on gbp.conf now
  * debian/control:
    - Bump Standards-Version to 4.5.0 (no changes required)
  * debian/rules:
    - Set python2.7 as default
    - compile with --enable-unaligned-private-values (as requested by gjs)
    - Don't hardcode the upstream version and use versioned lib
    - Don't compile with -fno-schedule-insns(2) (not needed anymore with gcc9)
    - Use default gcc optimizations in all the architectures, a part for ia64
  * debian/patches:
    - Refreshed
    - d/p/tests-Skip-a-test-on-s390x.patch:
      + The tests now correctly pass under s390
    - d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch,
    - d/p/Skip-some-i18n-tests-because-we-are-now-using-system-ICU.patch:
      + Adapt ICU-related tests to system instead of skipping them
    - d/p/Skip-time-zone-tests-that-fails-with-system-ICU.patch:
      + Skip time-zone tests that fails with system ICU
  * debian/tests.sh:
    - Set HOME directory to a temp directory (may be used by cache)
    - Run basic JIT tests

  [ Iain Lane ]
  * debian/control:
    - BD on rustc and cargo, now required for the build
    - BD on python2-dev instead of python-dev
    - BD on clang, libclang-dev and llvm
    - Use the new debhelper-compat method of specifying compat level,
      and bump to 12
  * debian/rules:
    - Don't explicitly enable PIE
    - Explicitly use gcc/g++
  * debian/patches:
    - d/p/sdk-mozjs68-import-a-patch-to-workaround-arm-compilation-.patch:
      + Fix ARM build (as suggested by gjs upstream)
    - d/p/TestingFunctions-Update-ICU-s-default-tz-when-setting-TZ.patch:
      + Update the ICU default timezone when setting it directly via setenv
    - d/p/time-zone-path-test-Update-for-what-our-system-ICU-return.patch:
      + Fixing some values being tested for to correspond to our ICU

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 13:11:22 +0000

mozjs60 (60.8.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 01 Oct 2019 07:07:32 -0400

mozjs60 (60.8.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release (re-imported to respect Files-Excluded from
    debian/copyright).

  [ Philip Chimento ]
  * d/p: Manually refreshed patches due to style reformatting of Mozilla
    codebase having been applied upstream since the last update
  * d/p: Dropped tests-snans-be.patch, already applied upstream
  * d/p: Dropped Bug-1560064-Barrier-Set-MovableCellHasher-JSObject-visibi,
    already applied upstream
  * d/p: Added patches from https://bugzilla.mozilla.org/show_bug.cgi?id=1375074
    and https://bugzilla.mozilla.org/show_bug.cgi?id=1445907 to fix JIT
    crashes on aarch64, based on the suggestion in
    https://bugzilla.mozilla.org/show_bug.cgi?id=1527311 (LP: #1842927)

 -- Iain Lane <laney@debian.org>  Mon, 09 Sep 2019 16:05:19 +0100

mozjs60 (60.2.3-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/Bug-1560064-Barrier-Set-MovableCellHasher-JSObject-visibi.patch:
    - Make js::MovableCellHasher<JSObject*>::* symbols visible under GCC
  * debian/patches: Refresh

  [ Iain Lane ]
  * Generate shlibs with a lower bound. 60.2.3-4 is introducing a new symbol.
    We need reverse-deps to have a dependency on this version if they have
    been built with it. After 60.2.3, generate shlibs with -VUpstream-Version,
    so that dependencies are generated in the form >= Upstream-Version. A
    symbols file would be better.
  * debian/control{,.in}: Add tzdata to Depends an B/uild-Depends. The tests
    use ICU and require that this is installed. If it's not, they fail with
    messages like "non262/Date/time-zones.js:41:5 Error: Assertion failed: got
    "Fri Jul 19 2002 16:10:55 GMT+0000", expected "Fri Jul 19 2002 16:10:55"
    GMT+0100" because they can't run in the specified timezones.

 -- Iain Lane <laney@debian.org>  Mon, 24 Jun 2019 17:50:53 +0100

mozjs60 (60.2.3-3) unstable; urgency=medium

  * Team upload
  * Acknowledge NMU. Thanks to Julien Cristau. (Closes: #909536)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 13 Apr 2019 19:40:04 +0100

mozjs60 (60.2.3-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * d/p/tests-Add-the-ability-to-skip-tests-according-to-dpkg-arc.patch:
    wait() our dpkg-architecture child so we don't confuse the test runner.
  * Import patch from bmo #1488552 to fix 64-bit BE
  * Clean up better.
  * Fix TypedArray on 64-bit BE.
  * Don't run non262/extensions/clone-errors.js on s390x, it crashes.
  * This should let us pass tests on s390x, thus closes: #909536.

 -- Julien Cristau <jcristau@debian.org>  Thu, 11 Apr 2019 14:19:55 +0200

mozjs60 (60.2.3-2) unstable; urgency=medium

  * Team upload
  * d/p/Update-to-ICU-61-Part-3-Update-tests.patch:
    Add patch from upstream bug 1445465 to make tests pass with system
    ICU versions >= 61 (Closes: #913776)
    - d/control: build-depend on icu 61

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Nov 2018 08:10:24 +0000

mozjs60 (60.2.3-1) unstable; urgency=medium

  * Team upload

  [ John Paul Adrian Glaubitz ]
  * Work around gcc register allocator issues on sh4 by selecting
    alternative register allocator using -mlra (Closes: #909180)

  [ Simon McVittie ]
  * New upstream release
  * d/p/mips-Use-fallback-64-bit-atomic-ops-on-mips32-even-if-JIT.patch:
    Drop, applied upstream
  * d/p/tests-Expect-a-test-to-fail-on-big-endian.patch:
    Expect typedarray-arg-set-values-same-buffer-other-type.js to fail on
    big-endian architectures. It makes assumptions about little-endian
    float/double representation that do not hold on big-endian, and
    fails in the same way on at least mips, powerpc, ppc64 and s390x.
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Oct 2018 12:07:35 +0100

mozjs60 (60.2.1-2) unstable; urgency=medium

  * Team upload
  * d/p/mips-Use-fallback-64-bit-atomic-ops-on-mips32-even-if-JIT.patch:
    Add patch from Julien Cristau to avoid trying to use 8-bit lock-free
    atomic operations on 32-bit mips{,el} (they don't exist there)
    when the ION JIT is disabled (Closes: #908487)
  * d/p/tests-Add-the-ability-to-skip-tests-according-to-dpkg-arc.patch:
    Respect DEB_HOST_ARCH if cross-compiling

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Sep 2018 09:01:54 +0100

mozjs60 (60.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/copyright: Update
  * d/p/tests-Add-the-ability-to-skip-tests-according-to-dpkg-arc.patch:
    Add patch to allow tests to be skipped or marked as random (flaky) or
    fails (expected failure) according to dpkg-architecture variables
  * Build with system ICU library (Closes: #908554)
    - Leave the patches and workarounds in place, but gate them behind
      a WITH_SYSTEM_ICU Make variable, to facilitate backporting
      as mentioned on #878362
    - d/p/Skip-some-i18n-tests-because-we-are-now-using-system-ICU.patch:
      Skip tests that fail with the system ICU library
  * Don't ignore overall test results on any architecture. We can ignore
    individual failing tests instead.
  * d/p/tests-Use-DEB_HOST_ARCH_BITS-to-skip-some-tests-on-64-bit.patch:
    Generalize the previous
    d/p/tests-For-tests-that-are-skipped-on-64-bit-mips64-is-also.patch
    to skip the affected tests on every 64-bit architecture, including
    alpha and sparc64 (Closes: #905825)
  * d/p/tests-Expect-some-floating-point-tests-to-fail-on-i386.patch:
    Mark some floating point tests as expected to fail on any-i386 due to
    our use of the legacy i387 FPU, which has different rounding
    behaviour (Closes: #907363)
  * d/p/tests-Expect-a-test-to-fail-on-armel.patch:
    Expect a test involving floating-point NaN to fail on ARM softfloat
    (Closes: #908481)
  * d/p/Bug-1444303-MIPS-Fix-build-failures-after-Bug-1425580-par.patch,
    d/p/Bug-1444834-MIPS-Stubout-MacroAssembler-speculationBarrie.patch:
    Add patches from upstream via firefox-esr which hopefully fix FTBFS
    on mips64el
  * Disable JIT (ion) on mipsel and mips64el as well as mips.
    It appears that the patches above are only enough to compile, but
    not work, on mips64el (many tests fail). (Closes: #908486)
    - This also avoids a compile-time static assertion failure
      affecting mipsel (Closes: #908485)
  * Add another source-is-missing Lintian override
  * d/copyright: Remove more unused licenses
  * d/copyright: Add public domain license grants
  * d/watch: Update instructions for downloading upstream releases

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Sep 2018 09:02:56 +0100

mozjs60 (60.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release branch, required by gjs 1.53.90+
    (Closes: #904991)
    - Adapt mozjs52 packaging for major version 60
    - This is a new, parallel source package because the latest upstream
      versions of cjs and policykit-1 currently still require mozjs52
  * Refresh patch series
    - d/p/disable-mozglue.patch:
      Drop, appears to be unnecessary now
    - d/p/Fix-crashes-in-AtomicOperations-none.patch:
      Drop, unknown architectures compiled on gcc/clang now use
      js/src/jit/none/AtomicOperations-feeling-lucky.h which appears
      equivalent to the previous sparc/powerpc implementations
    - d/p/alpha-ia64-python-build-fixes.patch, d/p/sparc64-support.patch:
      Drop, appears to have been applied upstream
    - d/p/Don-t-include-xlocale.patch:
      Drop, appears to be unnecessary now
    - d/p/sh4-support.patch, d/p/m68k-support.patch:
      Drop, partially obsoleted by use of
      AtomicOperations-feeling-lucky.h; remaining changes need rebasing
      and re-testing (see #905833 for sh4, #905834 for m68k)
  * Build with srcdir != builddir. This matches the behaviour of GNOME's
    various continuous integration systems, and avoids a FTBFS when
    srcdir = builddir.
  * Explicitly disable jemalloc, which is broken in standalone mozjs
    releases and causes a trivial embedder to segfault. Again, this
    matches the "packaging" in GNOME's continuous integration.
    See https://bugzilla.mozilla.org/show_bug.cgi?id=1465038
  * d/p/Always-use-the-equivalent-year-to-determine-the-time-zone.patch:
    Apply patch from upstream (Firefox 62) to fix a test failure
    involving daylight saving variants of timezone names
  * d/test.sh: Update architectures where tests are expected to fail
    (Closes: #905199)
    - Remove ppc64el: tests now pass and #878319 has been closed
    - Add alpha: expected to fail due to #905825
    - Add sparc64: expected to fail due to #905825 and #905829
    - Update bug reference for m68k to #905830
  * Standards-Version: 4.2.0
  * d/source/lintian-overrides: Override warnings about long lines in
    some test files

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Aug 2018 08:00:48 +0100

mozjs52 (52.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - CVE-2017-7810, CVE-2017-7826, CVE-2018-5089, CVE-2018-5125,
      CVE-2018-5150
  * d/p/remove-nspr-dependency.patch,
    d/p/tests-skip-on-all-64-bit-archs.patch:
    Remove, applied upstream
  * d/p/include-configure-script.patch:
    Remove, no longer necessary
  * d/rules: Drop configure options that no longer do anything
    - --enable-tests
    - --enable-threadsafe
    - --enable-xterm-updates
    - --enable-shared-js
    - --enable-gcgenerational
  * d/p/m68k-support.path:
    Update patch from John Paul Adrian Glaubitz to add missing m68k
    support in build/moz.configure/init.configure (Closes: #903483)
  * d/test.sh: Ignore test suite failure on m68k for now

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Aug 2018 08:22:02 +0100

mozjs52 (52.3.1-9) unstable; urgency=medium

  * d/p/Disable-js-JIT-on-x32.patch, d/p/hppa-support.patch:
    Remove patches that are no longer listed in d/p/series
  * d/p/*.patch: Use gbp-pq style for metadata
  * d/p/Add-disable-layoutex-when-running-ICU-configure.patch:
    Explicitly disable Paragraph Layout support in bundled ICU. The
    bundled copy of ICU doesn't have the code for this optional feature,
    even if we find the icu-le-hb library during configure. In versions
    of mozjs52 compiled before Debian had icu-le-hb available, we didn't
    try to build that feature, so not having it is not a regression.
    Patch from Mike Hommey, via mozilla-unified. (Closes: #902197)
  * d/p/ia64-support.patch:
    Fix IA64 patch so it doesn't leave ReserveProcessExecutableMemory()
    returning an undefined result on !ia64 machines (Closes: #902961)
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root to no
  * Regenerate js/src/old-configure with autoconf2.13 during build
    - d/p/pre-generate-old-configure.patch,
      d/p/Patch-pregenerated-old-configure-to-match-build-autoconf-.patch:
      Drop patches, no longer needed
  * Regenerate intl/icu/source/configure with autoreconf during build
  * d/rules: Delete all *.pyc files during clean
  * d/copyright: Move "Files: *" paragraph to the top as suggested by
    lintian

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jul 2018 12:33:30 +0100

mozjs52 (52.3.1-8) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update debian/gbp.conf

  [ John Paul Adrian Glaubitz ]
  * Add patch to fix Python build issues on alpha and ia64:
    - alpha-ia64-python-build-fixes.patch (Closes: #879589, #887496)
  * Add patch to add build support for sh4:
    - sh4-support.patch (Closes: #880692)
  * Disable PIE on sh4
  * Refresh patch for build support for m68k:
    - m68k-support.patch (Closes: #880693)
  * Add patch to add build support for sparc64:
    - sparc64-support.patch (Closes: #887494)
  * Ignore testsuite failures on ia64 (Closes: #897117)
  * Add patch to add build support for ia64:
    - ia64-support.patch (Closes: #897178)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 May 2018 12:01:49 -0400

mozjs52 (52.3.1-7) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add tests-snans-be.patch:
    - Fix sort_snans.js test on big endian (Closes: #878285)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 13:12:58 -0400

mozjs52 (52.3.1-6) unstable; urgency=medium

  [ Adrian Bunk ]
  * Disable ion JIT on mips (Closes: #878519, #878284)
  * Rename Fix-crashes-in-AtomicOperations-none-on-s390x.patch to
    Fix-crashes-in-AtomicOperations-none.patch and modify it to
    always use AtomicOperations-sparc.h instead of AtomicOperations-none.h
  * Add tests-increase-timeout.patch:
    - Set timeout to 600 seconds instead of 300 for slower buildds
  * Stop ignoring test failures on mips

  [ Jeremy Bicha ]
  * Much thanks to Adrian Bunk for all of his help in fixing mozjs
    build problems!

  [ Simon McVittie ]
  * Explicitly select gcc/g++ even if clang is installed, overriding ICU's
    configure.ac (Closes: #878669)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 09:03:39 -0400

mozjs52 (52.3.1-5) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Regenerate patches
  * Export SHELL and PYTHON for all stages of the build process
    (Closes: #876354)
  * d/p/Allow-to-override-ICU_DATA_FILE-from-the-environment.patch:
    Add patch from firefox-esr to allow ICU_DATA_FILE to be forced in
    the environment. We need to use a big-endian version on BE
    architectures.
  * d/p/Patch-pregenerated-old-configure-to-match-build-autoconf-.patch:
    Apply the equivalent of that patch to the pregenerated old-configure
    script
  * d/p/Add-intl-icu_sources_data.py-from-firefox-esr.patch:
    Add patch importing intl/icu_sources_data.py from firefox-esr_52.4.0esr-2
    so we can regenerate the ICU_DATA_FILE
  * d/rules: Regenerate the ICU_DATA_FILE (with the correct endianness)
    so the interpreter doesn't fail to initialize on big-endian
    architectures (Closes: #873778)
  * d/p/icu_sources_data.py-Decouple-from-Mozilla-build-system.patch:
    Avoid needing the mozpack module to generate the ICU_DATA_FILE
  * d/p/Fix-crashes-in-AtomicOperations-none-on-s390x.patch:
    Add patch from firefox-esr to fix atomic operations crashes on s390x
  * d/p/icu_sources_data-Write-command-output-to-our-stderr.patch:
    Make sure output from icu_sources_data.py ends up in buildd logs
  * d/p/tests-For-tests-that-are-skipped-on-64-bit-mips64-is-also.patch:
    Count mips64 as a 64-bit architecture for the purposes of skipping
    tests
  * d/rules: Run a "hello, world" program before running the test suite.
    If mozjs fails to initialize on a platform, the diagnostics given
    are fairly useless; try something much simpler before we go to the
    effort of running the full test suite. Failure to run this program
    causes FTBFS, to make sure we won't ship completely useless builds.
  * d/test.sh: Wrap build-time tests, making test-suite failures
    non-fatal on architectures with known issues (downgrades severity
    of: #877428, #878284, #878285, #878286)
  * d/rules: Skip build-time tests if cross-compiling
  * d/rules: Run icu build with VERBOSE=1 to see compilation commands

  [ Jeremy Bicha ]
  * Add Don-t-include-xlocale.patch: Fix build with glibc >= 2.26

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Oct 2017 00:24:00 +0100

mozjs52 (52.3.1-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete Ubuntu-specific --enable-thumb2 rule

  [ Iain Lane ]
  * Fix --build= to --target=, as the former doesn't exist.

  [ Adrian Bunk ]
  * Remove obsolete --disable-methodjit flags
  * Sync compiler flags from firefox-esr:
    - Use -fno-schedule-insns also on armel.
    - Use "-fno-schedule-insns2
      -fno-lifetime-dse-fno-delete-null-pointer-checks" on all architectures.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Sep 2017 04:07:55 -0400

mozjs52 (52.3.1-3) unstable; urgency=medium

  * debian/rules: Fix dh_auto_test override logic

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Aug 2017 16:11:57 -0400

mozjs52 (52.3.1-2) unstable; urgency=medium

  [ Iain Lane ]
  * debian/rules: Pass -fno-schedule-insns on armhf to prevent runtime
    failures. See: https://bugzilla.mozilla.org/show_bug.cgi?id=1337263

  [ Jeremy Bicha ]
  * Make tests fatal except on ppc64el and kfreebsd.

 -- Iain Lane <laney@debian.org>  Wed, 30 Aug 2017 16:17:02 +0100

mozjs52 (52.3.1-1) unstable; urgency=medium

  [ Rico Tzschichholz]
  * New upstream release (Closes: #860396) (LP: #1662094)
  * Update version from mozjs24 to mozjs38
  * debian/control, debian/rules:
    - Build with autoconf2.13
  * Add patches:
    - copy-headers.patch:
      + Copy headers instead of symlinking
  * Drop patches:
    - aarch64-support.patch, applied in new version
    - fix-perl-5.22.patch, this perl script doesn't exist in new version

  [ Jeremy Bicha ]
  * Switch maintainer to Debian GNOME team
  * debian/control:
    - Build-Depend on libicu-dev, libreadline-dev and python-dev
    - Drop Build-Depends on libnspr4-dev
  * debian/rules: Copy these build flags from Fedora:
    --with-intl-api
    --with-system-icu
    --with-system-zlib
    --enable-readline
    --enable-xterm-updates
    --enable-shared-js
    --enable-gcgenerational
    --disable-optimize
    --enable-pie
  * debian/rules:
    - Build with --enable-tests but don't make tests fatal yet
    - Build --without-system-icu since we don't have icu 58 yet
    - Build with --enable-posix-nspr-emulation
    - Drop --enable-ctypes and --enable-system-ffi, needed for above
      nspr option
  * Have -dev package install the js binary, see Mozilla #1339931
  * Don't install .a file
  * Bump dh compat to 10 but disable autoreconf
  * Migrate to automatic -dbgsym packages
  * Drop debian/README.source because it only listed removed files
    Use Files-Excluded in debian/copyright instead
  * Update debian/copyright based on debian/copyright for Firefox
  * Update Standards-Version to 4.1.0
  * Refresh patches
  * Drop obsolete patches:
    - install-js-config-h.patch
    - manually-mmap-on-arm64-to-ensure-high-17-bits-are-clear.patch
  * Disable patches that don't apply cleanly:
    - hppa-support.patch
    - m68k-support.patch
    - Disable-js-JIT-on-x32.patch
  * Add patches from https://github.com/ptomato/mozjs :
    - tests-skip-on-all-64-bit-archs.patch
    - disable-mozglue.patch
    - remove-nspr-dependency.patch

  [ Jordi Mallach ]
  * Remove override to dh_strip as the package is new and there's no
    need to migrate from -dbg.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 27 Aug 2017 16:34:19 -0400

mozjs24 (24.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Manually mmap on arm64 to ensure high 17 bits are clear (Closes: #839050,
    thanks to Zheng Xu)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Jan 2017 01:42:14 +0000

mozjs24 (24.2.0-5) unstable; urgency=low

  * Revert fix for ARM64 crashes, causes even more problems (closes: #847542).

  [ John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> ]
  * Add support for m68k (closes: #847525).

  [ Adam Borowski <kilobyte@angband.pl> ]
  * Disable JS JIT on x32 to make SpiderMonkey build (closes: #777502).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Dec 2016 22:57:52 +0000

mozjs24 (24.2.0-4) unstable; urgency=low

  * Backport upstream fix for ARM64 crashes (closes: #839050).
  * Add Multi-Arch field to libmozjs-24-0 and its -dbg variant
    (closes: #760757).
  * Update homepage (closes: #844257).
  * Set SHELL for running configure.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Dec 2016 19:04:08 +0000

mozjs24 (24.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove not needed Build-Conflicts, that are now cousing uninstallability
    of the Build-Depends.  Closes: #813749
  * Add patch (taken from Ubuntu) to fix build with perl 5.22.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 Jul 2016 22:33:32 +0000

mozjs24 (24.2.0-3) unstable; urgency=low

  * Update Standards-Version to 3.9.6 .

  [ Pino Toscano <pino@debian.org> ]
  * Fix FTBFS on Hurd (closes: #756218).

  [ John David Anglin <dave.anglin@bell.net> ]
  * Fix FTBFS on HPPA (closes: #757067).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 May 2015 13:39:40 +0000

mozjs24 (24.2.0-2) unstable; urgency=low

  * Make shlibs fix unconditional of Operating System (closes: #746705).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 May 2014 22:20:45 +0200

mozjs24 (24.2.0-1) unstable; urgency=low

  * Initial upload to Debian (closes: #739132).
  * libmozjs-24-dev doesn't need ${shlibs:Depends} dependency.
  * Add DEB_BUILD_OPTIONS nocheck option to disable build time tests.
  * Look for 24.x upstream releases only in debian/watch .
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 27 Feb 2014 11:55:01 +0000

mozjs24 (24.2.0-0ubuntu2) trusty; urgency=medium

  * Drop debian/docs, which references files we no longer ship.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Feb 2014 22:27:00 -0700

mozjs24 (24.2.0-0ubuntu1) trusty; urgency=medium

  [ Tim Lunn ]
  * New upstream release (LP: #1279175)
  * Bump packaging to mozjs24
  * debian/rules:
    - Disable intl-api
  * debian/control:
    - Bump build-dep on libnspr4-dev (>= 2:4.9.2)
  * debian/patches/fix-soname.patch: Refreshed
  * debian/watch: added

  [ Dmitry Shachnev ]
  * Update package descriptions.
  * Make all packages except dbg ones Priority: optional.
  * debian/copyright: Upgrade to 1.0 format, add python-which license,
    remove unused MPL-1.1 license.

 -- Tim Lunn <tim@feathertop.org>  Tue, 11 Feb 2014 21:55:34 +1100

mozjs17 (17.0.0-1ubuntu1) trusty; urgency=medium

  * Apply openSUSE patch to add arm64 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Jan 2014 11:32:13 +0000

mozjs17 (17.0.0-1) unstable; urgency=low

  * Initial release (closes: #709434).
  * Update to debhelper level 9.
  * Convert to multi-arch.
  * Fix copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2013 12:40:39 +0000

mozjs17 (17.0.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1113166)
    - Should noticably improve GNOME Shell performance by fixing
      memory leaks and avoiding garbage collector deadlocks
    - A separate source package is used because some rdepends like couchdb
      won't be ready for this version any time soon
  * Adjust packaging to new firefox versioned releases
  * Drop .symbols files
  * Add -dbg package
  * debian/patches:
    - Dropped all existing patches, they are included in new version
    - fix-soname.patch, added to correct soname for shared library
  * debian/rules:
    - enable parallel build
    - move shared library and create symlinks for standard soname versioning

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 May 2013 12:24:23 +0100
